libsigc++: sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > Class Template Reference

libsigc++ 2.8.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > Class Template Reference
Functors » mem_fun()

bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >:
[legend]

## Public Types
typedef base_type_::function_type | function_type
Public Types inherited from sigc::volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
typedef T_return(T_obj::* | function_type) (T_arg1, T_arg2) volatile
typedef T_return | result_type

## Public Member Functions
| bound_volatile_mem_functor2 (T_obj* _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor2 object that wraps the passed method. More...
| bound_volatile_mem_functor2 (T_obj& _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor2 object that wraps the passed method. More...
T_return | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Execute the wrapped method operating on the stored instance. More...
Public Member Functions inherited from sigc::volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| volatile_mem_functor2 ()
| Constructs an invalid functor. More...
| volatile_mem_functor2 (function_type _A_func)
| Constructs a volatile_mem_functor2 object that wraps the passed method. More...
T_return | operator() (T_obj* _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (T_obj& _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Execute the wrapped method operating on the passed instance. More...

## Public Attributes
volatile_limit_reference< T_obj > | obj_

## Additional Inherited Members
Protected Attributes inherited from sigc::volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1, class T_arg2>
class sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >

bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_volatile_mem_functor2.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

typedef base_type_::function_type sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >::function_type

## Constructor & Destructor Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >::bound_volatile_mem_functor2 | ( | T_obj * | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_volatile_mem_functor2 object that wraps the passed method.

Deprecated:
  Please use the constructor that takes the object by reference instead.

Parameters

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >::bound_volatile_mem_functor2 | ( | T_obj & | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_volatile_mem_functor2 object that wraps the passed method.

Parameters

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

T_return sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >::operator() | ( | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2
| ) |  | const
| inline

Execute the wrapped method operating on the stored instance.

Parameters

  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

volatile_limit_reference<T_obj> sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >::obj_